lp:~showard314/ubuntu/precise/bitcoin/remove_bitcoin

Created by Scott Howard on 2014-05-19 and last modified on 2014-05-19
Get this branch:
bzr branch lp:~showard314/ubuntu/precise/bitcoin/remove_bitcoin
Only Scott Howard can upload to this branch. If you are Scott Howard please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Scott Howard
Status:
Development

Recent revisions

10. By Scott Howard on 2014-05-19

bitcoin is very out of date and has been removed from Ubuntu
Please see upstream sources at
https://github.com/bitcoin/bitcoin/ or the PPA at
https://launchpad.net/~bitcoin/+archive/bitcoin (LP: #1314616)

9. By Scott Howard on 2013-04-28

Updates bitcoin wrapper for May 15 mandatory network upgrade
(LP: #1159832)

8. By Jonas Smedegaard <email address hidden> on 2011-07-19

* New upstream release.

[ Jonas Smedegaard ]
* Improve various usage hints:
  + Explicitly mention in long description that bitcoind contains
    daemon and command-line interface.
  + Extend README.Debian with section on lack of GUI, and add primary
    headline.
  + Avoid installing upstream README: contains no parts relevant for
    Debian usage.
  Thanks to richard for suggestions (see bug#629443).
* Favor final releases over prereleases in rules and watch file.
  Thanks to Jan Dittberner.
* Track -src (not -linux) tarballs in rules and watch file.
  Thanks to Jan Dittberner.
* Drop patches 1004 and 1005 (integrated upstream) and simplify
  CXXFLAGS in rules file.
* Stop stripping no longer included source-less binaries from upstream
  tarballs.

[ Jan Dittberner ]
* refresh debian/patches/1000_use_system_crypto++.patch

7. By Jonas Smedegaard <email address hidden> on 2011-05-28

* Enable UPNP support:
  + Drop patch 1006.
  + Build-depend on libminiupnpc-dev.
  Thanks to Matt Corallo.

6. By Jonas Smedegaard <email address hidden> on 2011-05-17

* New upstream release.
* Refresh patches.
* Drop patch 1002: no longer needed, as upstream use pkgconfig now.
* Add patch 1006 to really unset USE_UPNP as aparently intended.
* Adjust cleanup rule to preserve .gitignore files.
* Update copyright file:
  + Bump format to draft 174 of DEP-5.
  + Shorten comments.
* Bump policy compliance to standards-version 3.9.2.
* Shorten Vcs-Browser paragraph in control file.
* Fix mention daemon (not CLI tools) in short description.
* Stop conflicting with or replace bitcoin-cli: Only transitional, no
  longer needed.
* Link against unversioned berkeleydb. Update NEWS and README.Debian
  accordingly (and improve wording while at it).
  Closes: Bug#621425. Thanks to Ondřej Surý.
* This release also implicitly updates linkage against libcrypto++,
  which closes: bug#626953, #627024.
* Disable linkage against not yet Debian packaged MiniUPnP.
* Silence seemingly harmless noise about unused variables.

5. By Jonas Smedegaard <email address hidden> on 2011-03-16

* Fix have wrapper script execute real binary (not loop executing
  itself).
  Closes: bug#617290. Thanks to Philippe Gauthier and Etienne Laurin.
* Set urgency=medium as the only (user-exposed) binary is useless
  without this fix and has been for some time.

4. By Jonas Smedegaard <email address hidden> on 2011-03-15

* New upstream release.
* Fix provide and replace former package name bitcoin-cli.
  Closes: bug#618439. Thanks to Shane Wegner.

3. By Jonas Smedegaard <email address hidden> on 2011-03-01

* New upstream release.

[ Micah Anderson ]
* Add myself as uploader.

[ Jonas Smedegaard ]
* Add wrapper for bitcoind to ease initial startup.
* Update patches:
  + Drop patch 2002: Applied upstream.
  + Add patch 1005 to add phtread linker option.
    Closes: bug#615619. Thanks to Shane Wegner.
  + Refresh patches.
* Extend copyright years in rules file header.
* Rewrite copyright file using draft svn166 of DEP5 format.
* Rename binary package to bitcoind (from bincoin-cli).
  Closes: bug#614025. Thanks to Luke-Jr.

2. By Jonas Smedegaard <email address hidden> on 2011-01-17

* Fix override agressive optimizations.
* Fix tighten build-dependencies to really fit backporting to Lenny:
  + Add fallback build-dependency on libdb4.6++-dev.
  + Tighten unversioned Boost build-dependencies to recent versions,
    To force use of versioned Boost when backporting to Lenny.
  ...needs more love, though: actual build fails.

1. By Jonas Smedegaard <email address hidden> on 2011-01-17

Import upstream version 0.3.19~dfsg

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/bitcoin
This branch contains Public information 
Everyone can see this information.

Subscribers